Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.ioc.components
Class ComponentAssemblerImpl

    java.lang.Object
      com.servingxml.ioc.components.ComponentAssemblerImpl

All Implemented Interfaces:
  ComponentAssembler

    public class ComponentAssemblerImpl

extends java.lang.Object
implements ComponentAssembler

Constructor Summary
`ComponentAssemblerImpl(java.lang.Class assemblerClass, java.lang.reflect.Method assembleMethod, java.beans.PropertyDescriptor[] attributeDescriptors)`

Method Summary
`java.lang.Object` | `assemble(ConfigurationContext context)`
`java.lang.Class` | `getType()`
`boolean` | `isAssemblerOf(java.lang.Class type)`
`static ComponentAssembler` | `newInstance(java.lang.String assemblerClassName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComponentAssemblerImpl

    public ComponentAssemblerImpl(java.lang.Class assemblerClass,
                                  java.lang.reflect.Method assembleMethod,
                                  java.beans.PropertyDescriptor[] attributeDescriptors)

Method Detail

### newInstance

    public static ComponentAssembler newInstance(java.lang.String assemblerClassName)

### getType

    public java.lang.Class getType()

  Specified by:
    `getType` in interface `ComponentAssembler`

### isAssemblerOf

    public boolean isAssemblerOf(java.lang.Class type)

  Specified by:
    `isAssemblerOf` in interface `ComponentAssembler`

### assemble

    public java.lang.Object assemble(ConfigurationContext context)

  Specified by:
    `assemble` in interface `ComponentAssembler`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD